import express from 'express';
import { SetCompanyName } from './endpoints/set-name.rpc';
import { SetCompanyType } from './endpoints/set-type.rpc';
import { SetCompanyOwner } from './endpoints/set-owner.rpc';
import { KickEmployee } from './endpoints/kick-employee.rpc';
import { PruneEmployees } from './endpoints/prune-employees.rpc';
import { EmployeePosition } from './endpoints/employee-position.rpc';

const RpcRouterCompany = express.Router();

RpcRouterCompany.put('/set-name', SetCompanyName);
RpcRouterCompany.put('/set-type', SetCompanyType);
RpcRouterCompany.put('/set-owner', SetCompanyOwner);
RpcRouterCompany.put('/kick-employee', KickEmployee);
RpcRouterCompany.put('/prune-employees', PruneEmployees);
RpcRouterCompany.put('/employee-position', EmployeePosition);

export default RpcRouterCompany;
